Package net.shibboleth.utilities.java.support.codec

# Class StringDigester

java.lang.Object
net.shibboleth.shared.codec.StringDigester
net.shibboleth.utilities.java.support.codec.StringDigester

All Implemented Interfaces:
  `Function<String,String>`

@Deprecated(since="9.0.0", forRemoval=true) public final class StringDigester extends StringDigester
Deprecated, for removal: This API element is subject to removal in a future version.
Deprecated stub.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.shared.codec.StringDigester

`StringDigester.OutputFormat`

## Field Summary

### Fields inherited from class net.shibboleth.shared.codec.StringDigester

`DEFAULT_INPUT_CHARSET`

## Constructor Summary

Constructors
Constructor
Description
`StringDigester(String algorithm, StringDigester.OutputFormat format)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.
`StringDigester(String algorithm, StringDigester.OutputFormat format, Charset charset)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

### Methods inherited from class net.shibboleth.shared.codec.StringDigester

`apply, setRequireSalt, setSalt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### StringDigester

public StringDigester(@Nonnull @NotEmpty @ParameterName(name="algorithm") String algorithm, @Nonnull @ParameterName(name="format") StringDigester.OutputFormat format) throws NoSuchAlgorithmException
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

The input character set will be UTF-8.

Parameters:
  `algorithm` - the JCA digest algorithm identifier
  `format` - the output format used to convert the digested[] to the output string
Throws:
  `NoSuchAlgorithmException` - thrown if the digestAlgorithm is not invalid or unsupported

### StringDigester

public StringDigester(@Nonnull @NotEmpty @ParameterName(name="algorithm") String algorithm, @Nonnull @ParameterName(name="format") StringDigester.OutputFormat format, @Nullable @ParameterName(name="charset") Charset charset) throws NoSuchAlgorithmException
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

Parameters:
  `algorithm` - the JCA digest algorithm identifier
  `format` - the output format used to convert the digested[] to the output string
  `charset` - the character set to use in converting the input string to a byte[] prior to digesting
Throws:
  `NoSuchAlgorithmException` - thrown if the digestAlgorithm is not invalid or unsupported